////////////////////////////////////////////////////////////////////// 
// extras/pedstats_pdf.h 
// (c) 2000-2003 Goncalo Abecasis
// 
// This file is distributed as part of the MERLIN source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile MERLIN.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Sunday March 02, 2003
// 
 
#ifndef __PEDSTATS_PDF_H__
#define __PEDSTATS_PDF_H__

#include "PDFhistogram.h"
#include "PDFlinechart.h"

void GraphAffectionStatistics(PDF &pdf);
void GraphAffection(PDF & pdf, int index);
void GraphFamilyStatistics(PDF & pdf);
void GraphMarkerStatistics(PDF & pdf);
void GraphMarker(PDF & pdf, int m);
void GraphCovariateStatistics(PDF & pdf);
void GraphCovariate(PDF & pdf, int index);
void GraphTraitStatistics(PDF & pdf);
void GraphTrait(PDF & pdf, int index);

// Auxilliary graphing functions
//

#define  FILTER_FUNC    bool (*filter)(Person &, Person &)

double GetSibData(FILTER_FUNC, PDFLineChart & chart, bool is_covariate = false);
void   GraphVarOverall(PDF & pdf, PDFHistogram & chart, Vector & values);
void   GraphVarBySex(PDF & pdf, PDFHistogram & chart, Vector & v_female,
                     Vector & v_male, bool do_subtitle );
void   GraphVarByFounder(PDF & pdf, PDFHistogram & chart, Vector & v_founder,
                         Vector & v_nonfounder, bool do_subtitle);
void   GraphVarBySibs(PDF & pdf, bool is_covariate);
void   GetSibAffectionData(Vector & d_sibs, Vector & ca_sibs, Vector & cu_sibs, int index);
void   GraphSibAffection(PDF & pdf, PDFHistogram & chart, int index);

void MakePageHeader(PDF & pdf, const char *title, const char * sub_title);


#endif
 
